# $Revision: 1.27 $, $Date: 2001/10/21 19:49:09 $
Summary:	A fast compress utility
Summary(de):	ein schnelles Komprimierungs-Dienstprogramm
Summary(fr):	Utilitaire rapide de compression
Summary(pl):	Narzdzie do szybkiego kompresowania plikw
Summary(tr):	Hzl bir sktrma arac
Name:		ncompress
Version:	4.2.4
Release:	24
License:	Distributable
Group:		Applications/Archiving
Group(de):	Applikationen/Archivierung
Group(pl):	Aplikacje/Archiwizacja
Source0:	ftp://sunsite.unc.edu/pub/Linux/utils/compress/%{name}-%{version}.tar.Z
Source1:	%{name}-non-english-man-pages.tar.bz2
Patch0:		%{name}-make.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ncompress is a utility that will do fast compression and decompression
compatible with the original *nix compress utility (.Z extensions). It
will not handle gzipped (.gz) images (although gzip can handle
compress images). It is pretty much obsolete - unless you need to
exchange files with some really odd unix variants, use gzip or bzip2
instead.

%description -l de
ncompress ist ein Utility zur Durchfhrung schneller Komprimierungen
und Dekomprimierungen, das zu dem Original *nix-Komprimierungs-Utility
(.Z- Erweiterungen) kompatibel ist. gzip-Grafikdateien (.gz) knnen
damit nicht verarbeitet werden (obwohl gzip mit compress-Dateien
arbeiten kann).

%description -l fr
ncompress est un utilitaire qui effectue une compression et une
dcompression rapide avec l'utilitaire de compression *nix original
(extension .Z). Il ne gre pas les images gzippes (.gz) (bien que
gzip puisse grer les images compress).

%description -l pl
ncompress jest narzdziem umoliwiajcym szybk kompresj i
dekompresj plikw zgodnym z oryginalnym *niksowym narzdziem o nazwie
compress (tworzy pliki z rozszerzeniem .Z). ncompress nie obsuguje
plikw .gz (ale gzip potrafi obsugiwa pliki ncompress-a). ncompress
jest raczej przestarzaym programem - o ile nnie potrzebujesz
wymienia plikw z naprawd starymi *niksami, uywaj programw gzip
lub bzip2.

%description -l tr
ncompress, orijinal Un*X compress uygulamas ile uyumlu (.Z uzantl)
hzl sktrma ve ama ilemleri yaplmasn salar. ncompress gzip
ile sktrlm dosyalarla ilem yapamaz. (gzip compress ile
sktrlm dosyalar zerinde alabilir)

%prep
%setup -q -a1
%patch -p1

%build
%ifarch %{ix86}
%{__make} OPT="%{rpmcflags}" ENDIAN=4321
%endif

%ifarch sparc sparc64 m68k armv4l ppc s390
%{__make} OPT="%{rpmcflags}" ENDIAN=1234
%endif

%ifarch alpha ia64
%{__make} OPT="%{rpmcflags} -DNOALLIGN=0" ENDIAN=4321
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install compress $RPM_BUILD_ROOT%{_bindir}
ln -sf compress $RPM_BUILD_ROOT%{_bindir}/uncompress

install compress.1 $RPM_BUILD_ROOT%{_mandir}/man1
echo ".so compress.1" > $RPM_BUILD_ROOT%{_mandir}/man1/uncompress.1

for a in da de it pl ; do
	install -d $RPM_BUILD_ROOT%{_mandir}/$a/man1
	install $a/man1/* $RPM_BUILD_ROOT%{_mandir}/$a/man1/
	echo ".so compress.1" > $RPM_BUILD_ROOT%{_mandir}/$a/man1/uncompress.1
done

gzip -9nf LZW.INFO README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {LZW.INFO,README}.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(da) %{_mandir}/da/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ncompress.spec,v $
Revision 1.27  2001/10/21 19:49:09  qboosh
- fixed build, fixed/enhanced pl translation

Revision 1.26  2001/10/20 19:37:34  ankry
- add da, de, it man pages
- release 24

Revision 1.25  2001/08/23 16:51:44  filon
- changed: make -> %%{__make}

Revision 1.24  2001/05/02 22:06:14  kloczek
- release 23.

Revision 1.23  2001/04/30 16:05:25  kloczek
- added using %%{rpmcflags} macro.

Revision 1.22  2001/01/25 20:03:34  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.21  2000/12/31 00:08:15  kloczek
- release 22: fix for big endian armv4l ppc s390 archs.

Revision 1.20  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.19  2000/10/12 00:27:44  kloczek
- release 21: use rpm new automation.

Revision 1.18  2000/07/25 18:37:04  kloczek
- release 19,
- added %ifarch for sparc64 and ia64.

Revision 1.17  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.15  2000/04/15 17:55:37  mis
- typo

Revision 1.14  2000/04/01 11:14:58  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.12  1999/09/01 06:02:38  kloczek
- cosmetic modyfications in %description's.

Revision 1.11  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jun  4 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.2.4-15]
- based on RH spec,
- spec rewrited by PLD team.
